/**
 * Own marker with custom style. Only handles a single geo-point. 
 */

import processing.core.PGraphics;
import de.fhpotsdam.unfolding.geo.Location;
import de.fhpotsdam.unfolding.marker.SimplePointMarker;


public class StaedteMarker extends SimplePointMarker {

  public StaedteMarker(Location location) {
    super(location);
  }

  public void draw(PGraphics pg, float x, float y) {
    pg.pushStyle();
    pg.stroke(255, 200, 150, 150);
    pg.strokeWeight(3);
    pg.fill(250, 185, 115, 255);
    pg.ellipse(x, y, 10, 10);
    pg.popStyle();
  }
}
